Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 87432 - file command output incosistent for image types
Summary: file command output incosistent for image types
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: file
Version: 7.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-26 21:30 UTC by Jón Fairbairn
Modified: 2007-04-18 16:52 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-12-16 23:11:39 UTC


Attachments (Terms of Use)

Description Jón Fairbairn 2003-03-26 21:30:31 UTC
Description of problem:
If I run file on a gif, png, bmp or jpeg, the output includes <n> x <m>
For gif, png and bmp the [first] <n> and <m> are the width and height of the
image, but for jpeg it's the resolution rather than the image size.

This makes it harder than necessary to use the output in scripts.

Version-Release number of selected component (if applicable):

file-3.39-8.7x

How reproducible:

completely

Steps to Reproduce:
1. file something.jpg
2. file something.gif
3. file something.bmp 
etc.
    
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Johnson 2003-12-16 23:11:39 UTC
There are limits imposed by the magic format that limit
what can be displayed.

The feature request needs to be made to the maintainer,
hence bug resolved UPSTREAM.

Comment 2 Jón Fairbairn 2003-12-17 00:20:37 UTC
OK. Does this mean I should take the bug up with the maintainer, or
have yyou already passed it on?



Note You need to log in before you can comment on or make changes to this bug.